<?php
/**
 * Template Name: Custom home page
 */
get_header(); ?>

<div id="main-post">
  <div  class="container">
    <div class="row">
      <div class="col-lg-9 col-md-9">
        <div id="category_post">
          <?php if( get_theme_mod('blogger_hub_section_title') != ''){ ?>
          <h1><?php echo esc_html(get_theme_mod('blogger_hub_section_title','')); ?></h1>
          <?php }?>
          <div class="row">
            <?php 
            $page_query = new WP_Query(array( 'category_name' => get_theme_mod('blogger_hub_our_category','theblog')));?>
            <?php while( $page_query->have_posts() ) : $page_query->the_post(); ?>
              <div class="col-lg-4">
                <div class="blog-sec">
                  <div class="mainimage">
                    <?php 
                      if(has_post_thumbnail()) { 
                        the_post_thumbnail(); 
                      }
                    ?>
                  </div>
                  <h2><a href="<?php echo esc_url(get_permalink() ); ?>"><?php the_title(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2>
                  <hr class="post-hr">              
                  <p><?php $excerpt = get_the_excerpt(); echo esc_html( blogger_base_string_limit_words( $excerpt,15 ) ); ?></p>
                  <div class="blogbtn">
                    <a href="<?php echo esc_url( get_permalink() );?>" class="blogbutton-small hvr-sweep-to-right" title="<?php esc_attr_e( 'Read Full', 'blogger-base' ); ?>"><?php esc_html_e('Read Full','blogger-base'); ?><span class="screen-reader-text"><?php esc_html_e('Read Full','blogger-base'); ?></span></a>
                  </div>
                  <?php if(get_theme_mod('blogger_hub_metafields_tags',true)==1){ ?>
                    <p class="post_tag"><?php
                      if( $tags = get_the_tags() ) {
                        echo '<span class="meta-sep"></span>';
                        foreach( $tags as $content_tag ) {
                          $sep = ( $content_tag === end( $tags ) ) ? '' : ' ';
                          echo '<a href="' . esc_url(get_term_link( $content_tag, $content_tag->taxonomy )) . '">#' . esc_html($content_tag->name) . '</a>' . esc_html($sep);
                        }
                      } ?>
                    </p>
                  <?php }?>
                </div>
              </div>
              <div class="navigation">
                <?php
                  // Previous/next page navigation.
                  the_posts_pagination( array(
                    'prev_text'          => __( 'Previous page', 'blogger-base' ),
                    'next_text'          => __( 'Next page', 'blogger-base' ),
                    'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'blogger-base' ) . ' </span>',
                  ) );
                ?>
                <div class="clearfix"></div>
              </div>
            <?php endwhile; 
            wp_reset_postdata();
            ?>
          </div>
        </div>
        <div class="clearfix"></div>
        <div id="wrapper">
          <div class="feature-box">
            <?php while ( have_posts() ) : the_post(); ?>
              <?php the_content(); ?>
            <?php endwhile; // end of the loop. ?>
          </div>
        </div>
      </div>
      <div id="sidebar" class="col-lg-3 col-md-3">
        <?php dynamic_sidebar('home-page'); ?>
      </div>
    </div>
  </div>
</div>

<?php get_footer(); ?>